Bug 1182575 - [nmcli] Can't add certificate blob via nmcli as description states
Summary: [nmcli] Can't add certificate blob via nmcli as description states
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.2
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Jirka Klimes
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-15 13:52 UTC by Vitezslav Humpa
Modified: 2015-11-19 10:59 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Multiple bugs that could cause the client tools to become unresponsive or terminate unexpectedly have been fixed. (BZ#1168657, BZ#1182575, BZ#1197203)
Clone Of:
Environment:
Last Closed: 2015-11-19 10:59:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2315 normal SHIPPED_LIVE Moderate: NetworkManager security, bug fix, and enhancement update 2015-11-19 10:06:58 UTC

Description Vitezslav Humpa 2015-01-15 13:52:05 UTC
Description of problem:

Description for 802-1x certificate properties states:

Certificate data is specified using a "scheme"; two are currently supported: blob and path. When using the blob scheme (which is backwards compatible with NM 0.7.x) this property should be set to the certificate's DER encoded data. When using the path scheme, this property should be set to the full UTF-8 encoded path of the certificate, prefixed with the string "file://" and ending with a terminating NUL byte.

However nmcli currently expects any input to be the file path (no matter whether with or without file:// prefix)

That is somewhat inconsistent with the description and the dbus api. Changing the in-nmcli description and/or allowing blobs to be added as HEX code might help this.

Version-Release number of selected component (if applicable):
NetworkManager-1.0.0-5.git20150107.1ea95cd3.el7.x86_64

Comment 1 Jirka Klimes 2015-01-16 13:43:37 UTC
nmcli only implements file path scheme at present. It seems to me that blob is not very practical for usage in a client. It may be quite cumbersome to write and also display such data. And also there are security issue with displaying that, because e.g. private certificates are sensitive.

However we can think it over and consider for 7.2. For 7.1 we could just introduce nmcli specific description saying that certificates can only be passed as file names.

Comment 2 Jirka Klimes 2015-01-16 20:10:53 UTC
The descriptions for certificate properties added - see upstream branch jk/nmcli-certs-rh1182575.

Comment 4 Dan Winship 2015-01-19 21:34:13 UTC
LGTM

Comment 5 Dan Williams 2015-01-19 23:32:43 UTC
LGTM

Comment 6 Jirka Klimes 2015-01-20 13:35:34 UTC
master: 8ed0e50ff14eb3443e40ea48370db2e73e228157
nm-1-0: 192b25e28399c602e71322654b5254461b8211c5

Comment 8 Vitezslav Humpa 2015-09-02 09:47:50 UTC
Verified (NetworkManager-1.0.4-10.el7.x86_64), that the nmcli specific description has been added to all certificate properties:

[nmcli specific description]
Enter file path to client certificate for inner authentication (optionally prefixed
with file://).
  [file://]<file path>
Note that nmcli does not support specifying certificates as raw blob data.
Example: /home/cimrman/jara-zweite-phase.crt

Comment 9 errata-xmlrpc 2015-11-19 10:59:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2315.html


Note You need to log in before you can comment on or make changes to this bug.